%==========================================================================
% [gen_results.m] Generate results from workspace or external umbrella file
%
%   Author: T.S.C. Pollack
%   Copyright (2024) T.S.C. Pollack
%==========================================================================

% Add path
addpath('../4_PLOTTING'); addpath('../5_EXPORT');

% Open umbrella file
if exist('umbrella','var')
    open_umbrella;
end

% Generate closed-loop dynamics
M      = lft(P,K); 
Ma     = lft(Pa,K);
Munc   = lft(Punc,K); 
Ma_unc = lft(lft(Delta,Pa),K); 

% Set analysis freq range
omega_a       = logspace(-2,3,71);

% Plot results
plt_results;