%==========================================================================
% [open_umbrella.m] Extract data from import structure
%
%   Author: T.S.C. Pollack
%   Copyright (2024) T.S.C. Pollack
%==========================================================================

Delta   = umbrella.systems.Delta;
P       = umbrella.systems.P;
Pa      = umbrella.systems.Pa;
Pt      = umbrella.systems.Pt;
Pbt     = umbrella.systems.Pbt;
Pa_inv  = umbrella.systems.Pa_inv;
K       = umbrella.systems.K;
Kff     = umbrella.systems.Kff;
Kt      = umbrella.systems.Kt;
K_inv   = umbrella.systems.K_inv;
H_aa    = umbrella.systems.H_aa;
H_alloc = umbrella.systems.H_alloc;

Punc   = lft(Delta,P);

H_qref  = umbrella.weights.H_qref;
Wcmd    = umbrella.weights.Wcmd;
Wte_q   = umbrella.weights.Wte_q;
Wunci_1 = umbrella.weights.Wunci_1;
Wunci_2 = umbrella.weights.Wunci_2;

inputs    = Pa.InputName';
outputs_a = Pa.OutputName';

t_indi        = umbrella.settings.t_indi;
t_actfb       = umbrella.settings.t_actfb;
t_actfb_mdl   = umbrella.settings.t_actfb_mdl;
claw_syn      = umbrella.settings.claw_syn;
dparam        = umbrella.settings.mdl.dparam;
fix_order     = umbrella.settings.syn.fix_order;
red_order     = umbrella.settings.syn.red_order;

nu    = size(K.D,1);
nmeas = size(K.D,2);