%==========================================================================
% [batch.m] Perform repeated mu-analysis
%
%     Calls main.m in a loop structure to perform batch mu-analysis for
%     different inversion filter bandwidths
%
%   Author: T.S.C. Pollack
%   Copyright (2024) T.S.C. Pollack
%==========================================================================

clear all; clc;

% User settings
t_indi_lst = {'sb','hb'};
wn_lst     = 2:2:30;

% Set batch ID
batch_mode = true;

% Loop over lists
for t_indi_extcell = t_indi_lst
    
    for wn_ext = wn_lst
    
        % Get indi type configuration ID 
        t_indi_ext = cell2mat(t_indi_extcell);
        t_id = upper(t_indi_ext(1));
        
        % Store full configuration ID 
        inv_config_ext = strcat(t_id,'S01HAF',num2str(wn_ext));
        
        % Run main script
        main;
    
        % Clear path
        clearvars -except t_indi_lst wn_lst batch_mode t_indi_extcell
        
        % Clear command window
        clc;
        
    end
    
end

% Clear path
clear all;

